Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class AbstractCallSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite

All Implemented Interfaces:
  CallSite

    public class AbstractCallSite
    extends java.lang.Object

Base class for all call sites

Authors:
  Alex Tkachman

Field Summary
`protected CallSiteArray` | `array`
`protected int` | `index`
`protected java.lang.String` | `name`

Constructor Summary
`AbstractCallSite(CallSiteArray array, int index, java.lang.String name)`
`AbstractCallSite(CallSite prev)`

Method Summary
`CallSite` | `acceptGetProperty(java.lang.Object receiver)`
`CallSite` | `acceptGroovyObjectGetProperty(java.lang.Object receiver)`
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `call(java.lang.Object receiver)`
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1)`
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `callConstructor(java.lang.Object receiver)`
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1)`
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object[] args)`
`java.lang.Object` | `callCurrent(GroovyObject receiver)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`java.lang.Object` | `callGetProperty(java.lang.Object receiver)`
`java.lang.Object` | `callGetPropertySafe(java.lang.Object receiver)`
`java.lang.Object` | `callGroovyObjectGetProperty(java.lang.Object receiver)`
`java.lang.Object` | `callGroovyObjectGetPropertySafe(java.lang.Object receiver)`
`java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `callSafe(java.lang.Object receiver)`
`java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1)`
`java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object[] args)`
`java.lang.Object` | `callStatic(java.lang.Class receiver)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`protected CallSite` | `createGetPropertySite(java.lang.Object receiver)`
`protected CallSite` | `createGroovyObjectGetPropertySite(java.lang.Object receiver)`
`CallSiteArray` | `getArray()`
`int` | `getIndex()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProperty(java.lang.Object receiver)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### array

    protected final CallSiteArray array

### index

    protected final int index

### name

    protected final java.lang.String name

Constructor Detail

### AbstractCallSite

    public AbstractCallSite(CallSiteArray array, int index, java.lang.String name)

### AbstractCallSite

    public AbstractCallSite(CallSite prev)

Method Detail

### acceptGetProperty

    public CallSite acceptGetProperty(java.lang.Object receiver)

### acceptGroovyObjectGetProperty

    public CallSite acceptGroovyObjectGetProperty(java.lang.Object receiver)

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object[] args)

### call

    public java.lang.Object call(java.lang.Object receiver)

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object arg1)

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object[] args)

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver)

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object arg1)

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object[] args)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object arg1)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)

### callGetProperty

    public java.lang.Object callGetProperty(java.lang.Object receiver)

### callGetPropertySafe

    public final java.lang.Object callGetPropertySafe(java.lang.Object receiver)

### callGroovyObjectGetProperty

    public java.lang.Object callGroovyObjectGetProperty(java.lang.Object receiver)

### callGroovyObjectGetPropertySafe

    public final java.lang.Object callGroovyObjectGetPropertySafe(java.lang.Object receiver)

### callSafe

    public final java.lang.Object callSafe(java.lang.Object receiver, java.lang.Object[] args)

### callSafe

    public final java.lang.Object callSafe(java.lang.Object receiver)

### callSafe

    public final java.lang.Object callSafe(java.lang.Object receiver, java.lang.Object arg1)

### callSafe

    public final java.lang.Object callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)

### callSafe

    public final java.lang.Object callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)

### callSafe

    public java.lang.Object callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object[] args)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object arg1)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)

### createGetPropertySite

    protected final CallSite createGetPropertySite(java.lang.Object receiver)

### createGroovyObjectGetPropertySite

    protected final CallSite createGroovyObjectGetPropertySite(java.lang.Object receiver)

### getArray

    public CallSiteArray getArray()

### getIndex

    public int getIndex()

### getName

    public java.lang.String getName()

### getProperty

    public java.lang.Object getProperty(java.lang.Object receiver)

Groovy Documentation